Subject: bug#15961: 24.3.50; display-buffer-at-bottom not at bottom

From: martin rudalics <[email-masked]>
Date: Sun, 24 Nov 2013 18:35:24 +0100

>> But this should be better done _around_ calling `display-buffer'.
 >
 > I don't think so.  Those things should be overridable by the user in
 > display-buffer-alist, so at most they can be passed to display-buffer
 > via its ACTION argument.

If I bind `split-width-threshold' in `display-buffer-at-bottom', the
user won't be able to override it either.  So our user has only one
option - provide her own action that handles `split-width-threshold' in
an appropriate way.  And thus she will be able to handle the case where
`display-buffer-at-bottom' binds the variable and the case where the
application binds it.  Or am I missing something?

The underlying problem is IMO that we never made things like
`split-height-threshold' or `split-window-preferred-function' amenable
to `display-buffer-alist'.

martin